## org.apache.mahout.fpm.pfpgrowth.fpgrowth
Class Pattern

    java.lang.Object
      org.apache.mahout.fpm.pfpgrowth.fpgrowth.Pattern

All Implemented Interfaces:
  Comparable<Pattern>

    public class Pattern

extends Object
implements Comparable<Pattern>

A in FPGrowth is a list of items (here int) and the support(the number of times the pattern is seen in the dataset)

Constructor Summary
`Pattern()`

Method Summary
`void` `add(int id, long supportCount)`
`int` `compareTo(Pattern cr2)`
`boolean` `equals(Object obj)`
`int[]` `getPattern()`
`int` `hashCode()`
`boolean` `isSubPatternOf(Pattern frequentPattern)`
`int` `length()`
`long` `support()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Pattern

    public Pattern()

Method Detail

### add

    public final void add(int id,
                          long supportCount)

### getPattern

    public final int[] getPattern()

### isSubPatternOf

    public final boolean isSubPatternOf(Pattern frequentPattern)

### length

    public final int length()

### support

    public final long support()

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`

### compareTo

    public int compareTo(Pattern cr2)

  Specified by:
    `compareTo` in interface `Comparable<Pattern>`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.